きのつらゆき(Kino_Tea)

紀貫之のごとく、気の向くままに、つらつらと、(書いて)ゆきましょう。
ブログというより備忘録。スケート関連多い。

(Solved) Duplicator Error (WordPress / PHP7.0)

2016-03-16 | パソコン

<現象>
Duplicator のCreate New Package」 画面でエラー
Requirements > PHP Support > Zip Archive Enabled  Fail


旧環境ではバックアップができたのに、新環境ではエラーが出た。

  • 旧環境 ・・・ DIY PC,    Ubuntu 14.04LTS,          PHP 5.6
  • 新環境 ・・・ Intel NUC, Ubuntu 16.04LTS Beta1, PHP 7.0



<確認>
「Registered PHP Streams」項目に「zip」が存在するか? → Noだった。

(方法1)Duplicatorのメニュー Tools> Diagnostics> PHP Information
(方法2)ブラウザで phpinfo の実行
(方法3)コマンド実行(php -i |grep zip


 <対応>
不足したパッケージのインストール

$ sudo apt-get install php7.0-zip
$ sudo apt-get install php7.0-bz2
$ dpkg -l php*
ii  php7.0-bz2    7.0.3-9ubunt amd64        bzip2 module for PHP
ii  php7.0-zip     7.0.3-9ubunt amd64        Zip module for PHP
$ cat /etc/php/7.0/fpm/conf.d/20-zip.ini
extension=zip.so


<原因>
PHP 5.6 とは違い、PHP 7.0 ではZIP用パッケージを別途インストールする必要があった。こちらを参照。


再度、Duplicatorを実行すると、すべてのチェックをPASSし、バックアップできた。

コメント   この記事についてブログを書く
  • Twitterでシェアする
  • Facebookでシェアする
  • はてなブックマークに追加する
  • LINEでシェアする
« セカンドルーパー / 3+3Lo Ju... | トップ | nginx + PHP7.0 / php-fpm So... »
最新の画像もっと見る

コメントを投稿

ブログ作成者から承認されるまでコメントは反映されません。

パソコン」カテゴリの最新記事